Bug 1414986 - Ensure thunderbird (and other moz applications) are compatible with NSS 3.28 [RHEL 7.x]
Summary: Ensure thunderbird (and other moz applications) are compatible with NSS 3.28 ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: thunderbird
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Horak
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 21:42 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2020-01-06 13:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-06 13:31:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2017-01-19 21:42:06 UTC
We will update RHEL 7.x to NSS 3.28, which is incompatible with Mozilla 50 and older versions, depending on which features are enabled in NSS RHEL.

For RHEL 7.4.0, we will update nss-softokn, so it's certain that this issue affects all Mozilla applications, which are kept at versions at Mozilla 50 or older.

On 7.3.z and older, we'll most like keep the older nss-softokn version, so this might be a non-issue

I recommend that you pick up a small patch in Thunderbird, and other applications such as xulrunner (if we're using any such applications in RHEL), to prevent potentially issues.

https://bugzilla.mozilla.org/show_bug.cgi?id=1290037

Comment 2 Hubert Kario 2017-01-20 14:59:54 UTC
The issue is not so much 3.28 as the X25519 that this version adds, and since the implementation of x25519 is in softokn, that is incompatibility with nss-softokn 3.28 package

Comment 3 Jan Horak 2020-01-06 13:31:21 UTC
This does not apply anymore.


Note You need to log in before you can comment on or make changes to this bug.